WARNING REV Spark Max Version 1.5.2 Not Working

For anyone having trouble getting their spark max’s to work try downgrading to version 1.5.1
For some reason whenever we try using the latest version we aren’t able to turn on our motors through the rev Hardware Client and was also messing with our CAN loop, but as soon as we downgraded everything began working fine.

1 Like

SPARK MAX firmware version 1.5.2 was released in January 2020. I don’t think the issue you are seeing is related to the firmware. Please send us an email at support@revrobotics.com, if you haven’t already, so that we can get more information to help pinpoint what is going on. Also, take a look at our troubleshooting guide, it can give you an idea of what we will need to step through.

3 Likes